current:
Ryan C. Gordon - Sun Oct 29 02:16:02 EST 2006
 * Patch from Chris Nelson to deal with SMPEG_error(NULL).
Ryan C. Gordon - Sat Mar 18 14:57:28 EST 2006
 * Patch from Mike Frysinger to fix more asm stuff.
Sam Lantinga - Sun Mar  5 21:08:09 PST 2006
 * Updated libtool build configuration
Ryan C. Gordon - Fri Dec 16 22:07:22 EST 2005
 * gcc4 fixes (compliments of Gentoo Bugzilla #73579).
 * gcc4.1 fixes, too. (compliments of Robert Marmorstein).
 * Shortened filenames because "ar" apparently doesn't like them (thanks, LGP).
Ryan C. Gordon - Wed Oct 12 18:22:02 EDT 2005
 * Patch from Jorge to allow graceful (and faster) exit of threads.
 * Patch from Mike Frysinger to disable executable stack.
 * Patch from Mike Frysinger to add sanity checks to autogen.sh
 * Patch from Mike Frysinger for MMX/asm code fixes (PIC and TEXTREL stuff).
Ryan C. Gordon - Wed Aug 31 22:55:18 EDT 2005
 * Disable executable stack in library (thanks, Mike Frysinger!)
Ryan C. Gordon - Wed Apr 27 11:15:01 EDT 2005
 * automake fix in smpeg.m4 by Thomas Klausner.
Martin Köhler -  Sun Mar 20 10:48:54 EST 2005
 * PBProjects fix.
Steven Fuller - Mon Feb  9 23:26:08 CST 2004
 * Added a --enable-video-callback-thread configure flag to disable thread 
   usage in smpeg.
Ryan C. Gordon - Fri Jan  2 22:50:11 EST 2004
 * Added some sanity checks.
Ryan C. Gordon - Fri Jan  2 22:18:41 EST 2004
 * Removed "Patches" file...it was screwing up my greps too much.
Ryan C. Gordon - Fri Jan  2 22:16:47 EST 2004
 * SMPEG builds on Cygwin again.
Ryan C. Gordon - Wed Dec 31 00:07:51 EST 2003
 * Check for SDL_CreateYUVOverlay() failure (happens for OpenGL surfaces).
Ryan C. Gordon - Tue Dec 30 23:37:07 EST 2003
 * Check that SDL_BYTEORDER is sane (it wasn't, for SDL 1.2.5 on Linux/amd64).
Ryan C. Gordon - Fri Feb 14 21:02:00 EST 2003
 * Memory leak fix that I missed from before (thanks, Pete Shinners).
Ryan C. Gordon - Sat Jan 25 19:20:58 EST 2003
 * Memory leak fixes from NUNOKAWA Masato and Robert Diel.
Ryan C. Gordon - Wed Dec 18 16:47:52 EST 2002
 * Apple Project Builder support by Eric Wing.
Ryan C. Gordon - Fri Dec  6 14:32:29 EST 2002
 * Fixed for newer automakes.
Ryan C. Gordon - Wed Dec  4 18:00:33 EST 2002
 * Now builds again when --enable-mmx is specified at configure time.
Ryan C. Gordon - Thu Sep 26 01:13:58 EDT 2002
 * Minor Makefile.am patch for GCC 3.2
Ryan C. Gordon - Tue Jul  9 22:28:21 EDT 2002
 * Removed #include <unistd.h> from glmovie.c
Ryan C. Gordon - Sun Jun 02 20:10:42 EST 2002
 * ./autogen.sh accepts aclocal commandlines via the ACLOCAL_FLAGS envr var.
Ryan C. Gordon - Sun Jun 02 20:10:42 EST 2002
 * ./autogen.sh is now flagged as executable in CVS.
Ryan C. Gordon - Sun Jun 02 20:10:42 EST 2002
 * ./configure.in tweaked to not complain with newer autoconf.
Ryan C. Gordon - Sun Jun 02 20:10:42 EST 2002
 * Newer ltconfig and hacks for libtool and .S files.
Adam Procter - Sat Jun  8 05:41:30 EDT 2002
 * Fixed potential deadlock in MPEGaudio.cpp
Sam Lantinga - Sun Jun  9 00:24:10 EDT 2002
 * Fix for crash when an MPEG file can't be opened.

0.4.5:
Sam Lantinga - Tue Jul 17 12:27:20 PDT 2001
 * Skip MPEG audio frames with wildly varying frequencies

0.4.4:
Laurent Alacoque - Mon, 18 Jun 2001 15:51:51
 * Fixed some hangs that occurred when seeking in MPEG files
Sam Lantinga - Fri Apr 27 15:54:30 PDT 2001
 * Reworked the looping code - it should work better now
Sam Lantinga - Fri Apr 27 13:30:27 PDT 2001
 * Fixed memory leak when sound was disabled
Sam Lantinga - Fri Apr 27 10:32:04 PDT 2001
 * Widened initial search for audio streams in MPEG files
Sam Lantinga - Fri Apr 27 10:15:37 PDT 2001
 * plaympeg now shows the name of the MPEG file in the caption
Sam Lantinga - Wed Apr 18 17:07:40 PDT 2001
 * Added a check for the socklen_t type (thanks Michael Pruett)
Sam Lantinga - Mon Apr 16 14:20:07 PDT 2001
 * Fixed crash with incorrectly encoded macroblock sequences
Mo DeJong - Mon Apr 16 12:26:04 PDT 2001
 * Fixed crash when the MPEG file can't be opened
Joe Drew - Mon Apr 16 12:04:36 PDT 2001
 * Fixed crash in gtv when seeking without a file loaded

0.4.3:
Sam Lantinga - Thu Apr  5 01:09:43 PDT 2001
 * Updated for Simple DirectMedia Layer version 1.2.0
Sam Lantinga - Wed Apr  4 17:18:22 PDT 2001
 * Fixed crash in gtv when doubling the video on Windows
Sam Lantinga - Wed Apr  4 17:18:14 PDT 2001
 * Fixed audio stream detection in non-standard MPEG streams
Sam Lantinga - Wed Apr  4 16:42:53 PDT 2001
 * Fixed hang on rewind when stream header contains no timestamp
Andreas Kloeckner - Wed Apr  4 14:43:49 PDT 2001
 * SMPEG now uses the SDL_RWops file abstraction internally
Joe Drew - Wed Apr  4 13:40:44 PDT 2001
 * Fixed bug where the audio was not updating the current time
Michel Darricau - Wed Apr  4 13:31:40 PDT 2001
 * Added some changes for the popcorn MPEG library
Nicolas Vignal - Wed Apr  4 13:25:28 PDT 2001
 * Added smpeg.m4
Sam Lantinga - Wed Feb 21 16:24:46 PST 2001
 * SDL 1.2.0 supports 24 bpp displays, allow that in plaympeg
Sam Lantinga - Fri Feb  9 23:37:31 PST 2001
 * Ported to MacOS X - one line fix.  I love portable code! :)
   It's still unusably slow, but it works! :)
Sam Lantinga - Thu Feb  8 17:33:15 PST 2001
 * Fixed a hang playing invalid MPEG files
Matt Carlson - Fri Feb  2 18:13:08 PST 2001
 * Fixed memory leak when used with OpenAL
Sam Lantinga - Mon Jan  8 07:49:20 PST 2001
 * Return a non-zero status from plaympeg if playback fails
James Boucher - Mon Jan  8 06:53:31 PST 2001
 * Changes to compile correctly on QNX RTP
Sam Lantinga - Thu Dec 21 10:52:28 PST 2000
 * Fixed SMPEG_renderFinal() to a different display surface
Stephane Peter - Thu, 21 Dec 2000 02:07:07 -0800 (PST)
 * Fixed plaympeg fullscreen toggling for multiple videos
Vivien Chappelier - Thu Dec 14 16:21:32 PST 2000
 * Fixed MPEGSystem::TotalTime() hanging on small files
 * Fixed system header decoding (caused misdetection of system streams)
 * Added bilinear filter toggling with the 'f' key in plaympeg
Maxim Sobolev - Mon Dec 11 11:54:46 PST 2000
 * Use the correct SDL configuration script on FreeBSD

0.4.2:
Sam Lantinga - Thu Dec  7 18:14:14 PST 2000
 * Check for the GLU library when seeing if we can build the OpenGL example
Mo DeJong - Mon Dec  4 12:26:18 PST 2000
 * Fixed crash when loading files of zero bytes
Sam Lantinga - Sat Dec  2 13:51:21 PST 2000
 * Added --enable-threaded-system configure option (defaults off)
Sam Lantinga - Sat Dec  2 13:40:33 PST 2000
 * Fixed end of stream detection
Sam Lantinga - Sat Dec  2 11:36:50 PST 2000
 * Fixed crashes in gtv when trying to play MP3 files with no video
Sam Lantinga - Fri Dec  1 20:39:39 PST 2000
 * Disabled the system thread by default.
   You can re-enable it by looking for USE_SYSTEM_THREAD in MPEGsystem.cpp
Sam Lantinga - Fri Dec  1 18:07:50 PST 2000
 * Fixed RenderFinal() to a different surface than the original one
Vivien Chappelier - Fri Nov 17 13:35:36 PST 2000
 * Fixed seeking in MPEG files
Joe Valenzuela - Fri Nov 17 13:28:38 PST 2000
 * Fixed crash in system data decoding
Bruce Merry - Fri Nov 10 09:49:59 PST 2000
 * Removed movie size limitations from glmovie, works great!
Sam Lantinga - Fri Oct 27 15:11:33 PDT 2000
 * Fixed hang when audio data was partially corrupt in the first block
Hiroshi Yamashita - Sat, 14 Oct 2000 23:43:33 +0900
 * Fixed bug where audio was always mono
SiKang - Fri, 6 Oct 2000 15:23:13 +0900
 * Fixed UDP port binding for raw:// MPEG support
Sam Lantinga - Thu Oct  5 14:07:35 PDT 2000
 * Fixed spurious empty audio buffer at start of playback
Sam Lantinga - Thu Oct  5 12:58:43 PDT 2000
 * SMPEG_playAudio() now returns the amount of audio data mixed
 * SMPEG_playAudioSDL() wraps SMPEG_playAudio, as a callback hook for SDL.
Joe Valenzuela - Wed Oct  4 12:07:51 PDT 2000
 * Added a configure option --disable-threaded-audio
Sam Lantinga - Wed Oct  4 10:12:58 PDT 2000
 * Fixed various compiler warnings
Vivien Chappelier - Mon, 25 Sep 2000 20:37:43 +0200
 * Added abstraction support for hardware acceleration (no card support yet)
Hiroshi Yamashita - Sat, 19 Aug 2000 00:22:25 +0900
 * Fixed lseek problem on FreeBSD

0.4.1:
Vivien Chappelier - Sat Sep 23 17:48:59 PDT 2000
 * Updated for SDL 1.1.5 and ATI hardware accelerated overlays
Richard Kim - Thu Sep 21 11:28:31 PDT 2000
 * Fixed read buffer memory leak in MPEGsystem class
Tim Jansen - Thu Sep 21 11:13:06 PDT 2000
 * Fixed potential stack corruption in MPEG level 3 audio decoding
Sam Lantinga - Wed Sep  6 03:04:12 PDT 2000
 * Various Visual C++ cleanups, DirectX hardware acceleration with SDL
Sam Lantinga - Tue Sep  5 18:53:34 PDT 2000
 * Added the --bilinear command line option to plaympeg for filtering
Tim Janson - Tue Sep  5 18:05:18 PDT 2000
 * Fixed potential divide-by-zero with some illegal audio streams
Sam Lantinga - Tue Sep  5 14:09:14 PDT 2000
 * Changed gtv to perform bilinear filtering instead of deblocking
Sam Lantinga - Tue Sep  5 13:39:36 PDT 2000
 * Changed the filters to C implementations instead of C++ implementations
Vivien Chappelier - Tue Sep  5 12:09:10 PDT 2000
 * Fixed crash with MPEG files containing audio frames in multiple layers
 * Fixed crash when looping system streams
 * Added video filter code
 * Implemented a copy filter (default filter)
 * Implemented a bilinear filter
 * Implemented a subtle de-blocking filter
 * Improved the motion detection code, crashes/hangs on fewer MPEG movies
Ray Kelm - Fri, 04 Aug 2000 20:58:00 -0400
 * Added support for cross-compiling Windows DLL from Linux
Joe Valenzuela - Wed Aug  9 12:05:13 PDT 2000
 * Added SMPEG_new_data() to play MPEG data already in memory
Vivien Chappelier - Sun Jul 23 13:48:33 2000
 * Added the total time of an MPEG to the information structure
Vivien Chappelier - Sun Jul 23 13:48:33 2000
 * Changed stream decoding to use more efficient condition variables
Kevin Squire - Thu Aug  3 18:23:01 PDT 2000
 * Fixed a bug in the audio layer 2 decoding
Sam Lantinga - Thu Aug  3 17:56:09 PDT 2000
 * Fixed FD_ZERO compile problem on some systems
Sam Lantinga - Thu Aug  3 17:51:35 PDT 2000
 * Modified plaympeg to play videos even if audio device isn't available
Jens Vaasjo, Sam Lantinga, Nicholas Vining - Thu Aug  3 16:49:40 PDT 2000
 * Modified glmovie to do fullscreen hardware accelerated display
David Hedbor - Wed Aug  2 14:08:20 PDT 2000
 * Minor smpeg-config fixes for Solaris
Sam Lantinga - Wed Jun 21 14:58:24 PDT 2000
 * The MMX idct code resulted in much less quality, so disabled by default
Sam Lantinga - Thu Jun 15 00:07:33 PDT 2000
 * Added support for multiple tracks on a VCD disk
Vivien Chappelier - Wed Jun 14 12:43:54 PDT 2000
 * Added VCD and URL support to plaympeg

0.4.0:
Vivien Chappelier - Fri Jun  9 14:20:16 PDT 2000
 * Fixed rendering the final frame in a video stream
Hiroshi Yamashita - Thu Jun  8 12:03:42 PDT 2000
 * Fixed frame counter and FPS calculation after seek
 * Changed gtv so it actually changes the window size on doubling
Vivien Chappelier - Mon Jun  5 18:47:47 PDT 2000
 * Fixed audio synchronization when seeking in an MPEG stream
Sam Lantinga - Sat Jun  3 20:13:42 PDT 2000
 * Ported (easily) to BeOS
Sam Lantinga - Sat Jun  3 19:40:41 PDT 2000
 * Added aggresive optimizations by default, use --enable-debug to disable
Mo DeJong - Sat Jun  3 19:37:00 PDT 2000
 * Replaced target check for -lm with a simple library check
Sam Lantinga - Wed May 31 15:00:19 PDT 2000
 * Various gtv improvements - centered video, audio on by default, etc.
Robert Dean - Wed May 31 10:13:02 PDT 2000
 * Added drag-n-drop support to gtv (drag movies onto the control window)
Mo DeJong - Tue May 30 15:23:19 PDT 2000
 * Fixed an audio deadlock when stopping playback
Markus Overhumer - Tue May 30 15:16:30 PDT 2000
 * Some cleanups for compiling on Win32 with VC++
Vivien Chappelier - Fri May 26 10:53:44 PDT 2000
 * Added a movable progress slidebar to gtv
Vivien, Manuel - Wed May 17 17:36:39 PDT 2000
 * Added support for timestamp synchronization in the MPEG stream
Vivien, Damien - Mon May  8 11:06:08 PDT 2000
 * Added support for seeking in the MPEG stream
Sam Lantinga - Fri Apr 28 15:57:25 PDT 2000
 * Added support to plaympeg allowing the user to resize the window
Sam Lantinga - Fri Apr 28 14:22:14 PDT 2000
 * Added ALT-ENTER fullscreen toggle to plaympeg
Sam Lantinga - Thu Apr 27 18:22:04 PDT 2000
 * Added support for arbitrary output scaling:
	new API function SMPEG_scaleXY()
 * Added -scale wxh option to plaympeg
Sam Lantinga - Mon Apr 24 16:11:58 PDT 2000
 * A much improved semaphore based ring buffer implementation
Sam Lantinga, Ryan Gordon - Mon Apr 24 14:12:59 PDT 2000
 * plaympeg can now play files containing colons
Sam Lantinga - Tue Apr 18 17:12:16 PDT 2000
 * Adjusted the audio startup timing based on experimentation
Hiroshi Yamashita - Tue Apr 18 15:48:14 PDT 2000
 * Improved audio synchronization with longer movies (double rate_deal)
Sam Lantinga - Fri Apr 14 13:21:51 PDT 2000
 * Added support for SDL asynchronous blitting
 * Added support for FPS printing - see TIME_MPEG in video/MPEGvideo.cpp
Hiroshi Yamashita - Tue Apr 11 13:00:01 PDT 2000
 * Tuned MPEG_BUFFER_SIZE for slower systems.
Atsushi Yamagata - Tue Apr 11 12:50:45 PDT 2000
 * Added locale setting for gtv.
Hiroshi Yamashita - Tue Apr 11 09:59:11 PDT 2000
 * Fixed audio popping and floating point exceptions in layer2 audio.
Sam Lantinga - Tue Apr 11 06:55:53 PDT 2000
 * Ported to Win32.
Sam Lantinga - Sun Apr  9 16:42:47 PDT 2000
 * Use SDL 1.1.3 for hardware accelerated YUV overlay support.
Vivien Chappelier - Thu Apr  6 12:40:36 PDT 2000
 * Added MPEG streaming support - now plays many more MPEG streams.

0.3.5:
Sam Lantinga - Wed Apr  5 13:50:32 PDT 2000
 * MMX code is disabled by default, as it appears to be slower than C code.
Sam Lantinga - Thu Mar  9 19:51:13 PST 2000
 * Fixed a hang in MP3 playback if track plays all the way to the end.
Sam Lantinga - Wed Mar  8 11:01:16 PST 2000
 * Added 16-bit MMX dither/IDCT code from the NIST MPEG-2/DVD player.
   (http://home.germany.net/100-5083/)
 * Added 32-bit MMX dither code from the kmpg MPEG-1 player.
   (http://www.rhrk.uni-kl.de/~mvogt/linux/kmpg/)
Sam Lantinga - Wed Mar  8 07:25:33 PST 2000
 * Added the math library to configure.in
Hiroshi Yamashita - Mon Mar  6 07:48:35 PST 2000
 * Added audio information to the MPEG info.
 * Added support for videos starting with Video Start Code 0xe0 0xe2.
 * Added a fix for FreeBSD to ltmain.sh.
Sam Lantinga - Mon Mar  6 08:27:35 PST 2000
 * Fixed a potential starting crash in plaympeg.

0.3.4:
Sam Lantinga - Fri Mar  3 13:40:43 PST 2000
 * Split RPM into runtime and development packages.
 * Added smpeg-config script to tell where the development runtime is installed.
Sam Lantinga - Fri Mar  3 13:25:10 PST 2000
 * Fixed MP3 audio on big-endian systems.
Sam Lantinga - Wed Mar  1 07:02:17 PST 2000
 * The control panel for the gtv player is placed in the upper left.
Sam Lantinga - Wed Mar  1 00:26:49 PST 2000
 * If the audio couldn't be opened, the error is propogated to the user.
Sam Lantinga - Wed Mar  1 00:18:42 PST 2000
 * The audio decoder thread now runs while the movie is paused.
Sam Lantinga - Tue Feb 29 15:22:52 PST 2000
 * Added a hack to seek past raw video data in a system stream.
Sam Lantinga - Tue Feb 29 10:57:14 PST 2000
 * Fixed pause and loop, with and without audio.
Sam Lantinga - Mon Feb 28 20:28:24 PST 2000
 * Removed special SDL mixer support - not necessary.  See README.SDL_mixer.
Sam Lantinga - Mon Feb 28 12:45:59 PST 2000
 * Fixed a problem where audio stopped playing before the end of the movie.
Sam Lantinga - Thu Feb 10 13:17:29 PST 2000
 * Don't crash if a picture block comes before a sequence header block.
Sam Lantinga - Sat Feb  5 08:56:25 PST 2000
 * Remove autogenerated files from CVS.
Bill Kendrick - Thu Feb 03 16:57:27 PST 2000
 * Does not init. audio or video unless necessary for the MPEG being played.
 * If audio or video are unavailable, does not exit, just skips (or plays
   whichever stream it can).
Bill Kendrick - Sat Jan 22 17:32:00 PST 2000
 * Added --version to plaympeg and made usage help more complete.
Sam Lantinga - Mon Jan 24 12:57:54 PST 2000
 * Disabled consistency checks by default, now plays more video streams
Laurent Bonnaud - Tue Jan 25 13:46:32 PST 2000
 * Speeded up cropping by using an inline function

0.3.3:
Sam Lantinga - Mon Jan 17 19:52:32 PST 2000
 * Updated for the new SDL mixer library release (1.0.3)
Sam Lantinga - Tue Jan 11 16:17:50 PST 2000
 * Fixed so SMPEG compiles on stock RedHat 5.2 systems
Stephane Peter, Sam Lantinga - Thu Jan  10 15:22:33 PST 2000
 * Fixed playing mono MP3 files on stereo audio output
Sam Lantinga - Thu Jan  6 13:02:32 PST 2000
 * SMPEG now detects MP3 files again (broken by RIFF searching code)
 * gtv is now included by default when building an RPM
Sam Lantinga - Mon Jan  3 20:54:32 PST 2000
 * Changelog entries are now Y2K safe. ;-)
 * SMPEG now handles pad packets in the initial system stream
Jim Studt - Mon Jan  3 20:57:52 PST 2000
 * Fixed endian detection on unknown Linux systems (ARM)
Sam Lantinga - Mon Jan  3 21:09:01 PST 2000
 * plaympeg now hides the mouse cursor in fullscreen mode

0.3.2:
SOL -   Updated autoconf for SDL 1.0
SOL -   Fixed audio decoding thread - releases waiting audio threads
SOL -	Fixed audio playback of MPEG videos when using external mixer
KVC -	Handle RIFF encoded MPEG streams
SOL -	Handle system streams that encode packets without a header
Stefan Gybas - Contributed a man page for gtv.

0.3.1:
SOL -   Fixed endlessly looping "mpegVidRsrc ParseMacroBlock" problem
SOL -   Changed parseblock assertion so it doesn't halt playback
SOL -   Fixed crashing bug in ParseReconBlock() with corrupt videos
SOL -   Fixed audio synchronization problem with looping movies

0.3.0:
SOL -	Added audio synchronization support.
SOL -	Added autoconf support.
MKV -	Added GTk mpeg player.
MKV -	Added OpenGL mpeg player.
SP  -	Exported the audio mixing function for flexible audio setup.
Mo DeJong - plaympeg now prints out usage if given no arguments.
Stefan Gybas - Contributed a man page for plaympeg.

0.2.7:
SOL -	Added volume change API

0.2.6:
SOL -	Fixed possible crash when starting audio playback.
SOL -	Fixed SMPEG on PPC - may still be buggy, but plays most MPEGs.

0.2.5:
SOL -	Added --fullscreen command line option to plaympeg.
SOL -	Added 32-bpp support, fixed fullscreen offset bug.

Initial Key:
SOL - Sam Lantinga (hercules@lokigames.com)
MKV - Michael Vance (briareos@lokigames.com)
SP  - Stephane Peter (megastep@lokigames.com)
